#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include "land.h"
#include "mt64.h"
// defining constants
int main(int argc, char *argv[])
{
	clock_t begin, end;
	double time_spent;
	begin = clock();
	/* here, do your time-consuming job */
	init_genrand64(time(NULL));
	//atoi function transforms strings into integers
	int x_size = atoi(argv[1]);
	int y_size = atoi(argv[2]);
	int timeofsim = atoi(argv[3]);
	double occupancy = strtod(argv[4], NULL);
	double survival = strtod(argv[5], NULL);
//	printf("Your landscape will have a size of %ld. \n",total_size);
	int *ptom = createlandscape2d(x_size, y_size);
	ptom = inilandscapesingle(x_size, y_size, ptom);
//	ptom = inilandscaperandom2(x_size, y_size, ptom, occupancy, genrand64_int63());
	int r = runsimulationbmp(x_size, y_size, ptom, timeofsim, survival, genrand64_int63());
	void free(void * ptom);
	end = clock();
	time_spent = (double)(end - begin) / CLOCKS_PER_SEC;
	printf("%f\n", time_spent);
	return 0;

}	

