/* Creates the landscape box*/
 int * createlandscape2d(int x_size, int y_size);
/*creates a single cell at centre of previously created landscape*/

int * inilandscapesingle(int x_size, int y_size, int *ptom);

int * inilandscapesingle2(int x_size, int y_size, int *ptom);

/*puts cells randomly inside landscape at a certain occupancy rate */
int * inilandscaperandom(int x_size, int y_size, int *ptom, double occuppancy, long long seed);

int * inilandscaperandom2(int x_size, int y_size, int *ptom, double occuppancy, long long seed);

/*random walk to update cells at each time step by going randomy n times through the matrix of size n */
int * randomwalk(int x_size, int y_size, int *ptom, double survival, long long seed);

int * randomwalk2(int x_size, int y_size, int *ptom, double survival, long long seed);

/*runs through simulation and creates a bitmap file for every time step */
int runsimulationbmp(int x_size, int y_size,int *ptom, int timeofsim, double survival,long long seed);
