#include <stdio.h>
#include <string.h>
#include "qdbmp.h"
#include "landscapetobit.h"
int createfrommatrix(int x_size, int y_size, int red, int green, int blue,int *ptom,char name[])
{
	int *landscape = ptom;
	// creating a bmp object and it's space in memory
	BMP* bmp = BMP_Create( x_size, y_size, 24 );
	int j = 0;
	// loop that runs throughout the whole array fed into this function
	while (j < x_size*y_size)
	{
		if (landscape[j] == 1)
		{
			// allows the user to set rgb values to pixels 
			BMP_SetPixelRGB(bmp, j%x_size, j/x_size , red , green , blue );
			j++;
		}
		else if(landscape[j] == 0)
		{
			BMP_SetPixelRGB(bmp, j%x_size, j/x_size , 0, 40 , 0 );
			j++;
		}
		else
		{
			BMP_SetPixelRGB(bmp, j%x_size, j/x_size , 255 , 0 , 0 );
			j++;
		}
	}
	// creates the file at the indicated name location 
	BMP_WriteFile( bmp, name );
	// frees the memory used by the bmp 
	BMP_Free(bmp);
	return 0 ;

}